/* COPIER LES VALEURS DESSOUS */

.exemple1 {
    text-align: left;
}

.exemple2 {
    text-align: center;
}

.exemple3 {
    text-align: right;
}

.exemple4 {
    line-height: 10px
}

.exemple5 {
    line-height: 25px;
}

.exemple6 {
    line-height: 50px;
}

.exemple7 {
    color: red;
}

.exemple8 {
    color: #00FF00;
}

.exemple9 {
    background-color: blue;
}

.exemple10 {
    text-decoration: underline;
}

.exemple11 {
    text-decoration: line-through;
}

.exemple12 {
    text-decoration: underline;
    text-decoration-style: dashed;
}

.exemple13 {
    font-family: serif
}

.exemple14 {
    font-size: 52px;
}

.exemple15 {
    font-weight: 100;
}

.exemple16 {
    background: linear-gradient(0deg, #76f8ac 50%, #eddd53 100%);
}

.exemple17 {
    box-shadow: 10px 5px 5px red;
}

.exemple18 {
    text-shadow: 0px 0px 5px red;
}

.exemple19 {
    filter: blur(5px);
}

.exemple20 {
    filter: grayscale(100%);
}

.exemple21 {
    filter: hue-rotate(90deg);
}

.exemple22 {
    filter: contrast(300%);
}

.exemple23 {
    filter: invert(100%);
}

.exemple24 {
    background: linear-gradient(90deg, #833ab4 0%, #fd1d1d 50%, #fcb045 100%);
}

.exemple25 {
    background: radial-gradient(circle, #3f5efb 0%, #fc466b 100%);
}

.exemple26 {
    background: linear-gradient(0deg, #020024 0%, #090979 35%, #00d4ff 100%);
}


/* PAGES */

html {
    box-sizing: border-box;
    margin: 0;
}

.shape {
    height: 175px;
    width: 250x;
    background-color: red;
}

body {
    margin:0;
    padding:0;
}

.grid {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 16px;
    padding: 16px;
    gap: 0;
    grid-auto-flow: dense;
    margin-top:110px;
}

.item {
    min-height: 60px;
    max-height: auto;
    padding: 16px;
    background: whitesmoke;
    border: 1px solid #ccc;
}

h2 {
    font-family: monospace;
    font-weight: 200;
    font-size: 1em;
}

h1 {
    font-family: sans-serif;
    text-align: center
}

.item img {
    display: block;
    width: 100%;
    height: auto;
}

.header {
  position:absolute;
  top:0;
  background-color: black;
  color:white;
  width:100vw;
  text-align: center;
}

.liens {
    margin-bottom:20px;
}

a {
    margin-left:25px;
color:white;
  text-decoration: underline;
  text-align: center;
}